package jalview.ext.jmol;

import jalview.datamodel.Alignment;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.Sequence;
import jalview.datamodel.SequenceI;
import jalview.gui.AlignFrame;
import jalview.gui.SequenceRenderer;
import jalview.structure.StructureMappingcommandSet;
import jalview.structure.StructureSelectionManager;

import org.testng.annotations.Test;

public class JmolCommandsTest
{

  @Test(groups = { "Functional" })
  public void testGetColourBySequenceCommand_noFeatures()
  {
    SequenceI seq1 = new Sequence("seq1", "MHRSQTRALK");
    SequenceI seq2 = new Sequence("seq2", "MRLEITQSGD");
    AlignmentI al = new Alignment(new SequenceI[] { seq1, seq2 });
    AlignFrame af = new AlignFrame(al, 800, 500);
    SequenceRenderer sr = new SequenceRenderer(af.getViewport());
    SequenceI[][] seqs = new SequenceI[][] { { seq1 }, { seq2 } };
    String[] files = new String[] { "seq1.pdb", "seq2.pdb" };
    StructureSelectionManager ssm = new StructureSelectionManager();

    // need some mappings!

    StructureMappingcommandSet[] commands = JmolCommands
            .getColourBySequenceCommand(ssm, files, seqs, sr, null, al);
  }
}
